<?php

/**
 * Dynamic Ads + Pixel
 *
 * @author    businesstech.fr <modules@businesstech.fr> - https://www.businesstech.fr/
 * @copyright Business Tech - https://www.businesstech.fr/
 * @license   see file: LICENSE.txt
 *
 *           ____    _______
 *          |  _ \  |__   __|
 *          | |_) |    | |
 *          |  _ <     | |
 *          | |_) |    | |
 *          |____/     |_|
 */

namespace FacebookProductAd\Pixel;

use FacebookProductAd\ModuleLib\moduleTools;

class pixelPurchase extends basePixel
{
    /**
     * @var bool : current object is a Product
     */
    public $iOrderId = 0;

    /**
     * @var bool : current object is a Product
     */
    public $iCartId = 0;

    /**
     * @var array : current object is a Product
     */
    public $bUseSmarty = false;

    /**
     * __construct magic method assign
     *
     * @param array $aParams
     */
    public function __construct(array $aParams)
    {
        $this->bValid = true;

        $iCartId = \Tools::getValue('id_cart');
        $iOrderId = $aParams['iOrderId'];
        // Set bValid
        $this->bValid = false;

        if (!empty($iOrderId)) {
            $this->oOrder = new \Order((int) $iOrderId);
            if (\Validate::isLoadedObject($this->oOrder)) {
                $this->iOrderId = $iOrderId;
                $aProductInfo['order_information'] = $this->oOrder;
                $aProductInfo['products'] = $this->oOrder->getCartProducts();
                $this->bValid = true;
            } else {
                if (!empty($iCartId)) {
                    $this->iOrderId = \Order::getIdByCartId($iCartId);
                    $this->bValid = true;
                }
            }
        } elseif (!empty($iCartId)) {
            $this->iOrderId = \Order::getIdByCartId($iCartId);
            $this->bValid = true;
        }

        // get context information
        $this->sCurrentLang = new \Language((int) \Context::getContext()->cookie->id_lang);

        // build the tag
        $this->aProducts = !empty($aProductInfo['products']) ? $aProductInfo['products'] : [];
        $this->oOrder = !empty($aProductInfo['order_information']) ? $aProductInfo['order_information'] : [];
    }

    /**
     * method set the content type
     */
    public function setTrackingType()
    {
        $this->sTrakingType = 'Purchase';
    }

    /**
     * method set the content type
     */
    public function setContentType()
    {
        $this->sContent_type = 'product';
    }

    /**
     * method set the content ids
     */
    public function setContentIds()
    {
        $this->sContent_ids = ModuleTools::buildContentIds('product_listing', $this->sCurrentLang->iso_code, null, $this->aProducts);
    }

    /**
     * method set the content name
     */
    public function setContentName()
    {
    }

    /**
     * method set total value
     */
    public function setValue()
    {
        // check case on the order confirmation page
        $this->fValue = moduleTools::getOrderPrice($this->oOrder, \FacebookProductAd::$conf['FPA_USE_TAX'], \FacebookProductAd::$conf['FPA_USE_SHIPPING'], \FacebookProductAd::$conf['FPA_USE_WRAPPING']);
    }

    /**
     * method the currency
     */
    public function setCurrency()
    {
        // get the currency code
        $this->sCurrency = \Context::getContext()->currency->iso_code;
    }

    /**
     * method the query search
     */
    public function setQuerySearch()
    {
    }

    /**
     * method set the category values
     */
    public function setContentCategory()
    {
    }
}
