<?php
/**
 * Dynamic Ads + Pixel
 *
 * @author    businesstech.fr <modules@businesstech.fr> - https://www.businesstech.fr/
 * @copyright Business Tech - https://www.businesstech.fr/
 * @license   see file: LICENSE.txt
 *
 *           ____    _______
 *          |  _ \  |__   __|
 *          | |_) |    | |
 *          |  _ <     | |
 *          | |_) |    | |
 *          |____/     |_|
 */

namespace FacebookProductAd\Models;

class exportCategories extends \ObjectModel
{
    /** @var int id_category * */
    public $id_category;

    /** @var int id of the shop * */
    public $id_shop;

    /**
     * @see ObjectModel::$definition
     */
    public static $definition = [
        'table' => 'fpa_categories',
        'primary' => 'id_category',
        'fields' => [
            'id_category' => ['type' => self::TYPE_INT, 'validate' => 'isInt', 'required' => true],
            'id_shop' => ['type' => self::TYPE_INT, 'validate' => 'isInt', 'required' => true],
        ],
    ];

    /**
     *  clean the table for
     *
     * @param int $id_shop
     *
     * @return bool
     */
    public static function cleanTable($id_shop)
    {
        return \Db::getInstance()->delete('fpa_categories', 'id_shop=' . (int)$id_shop);
    }

    /**
     * method returns categories to export
     *
     * @param int $id_shop
     *
     * @return array
     */
    public static function getFpaCategories($id_shop)
    {
        // set
        $categories = [];
        $query = new \DbQuery();
        $query->select('*');
        $query->from('fpa_categories', 'fc');
        $query->where('fc.id_shop=' . (int)$id_shop);

        $result = \Db::getInstance(_PS_USE_SQL_SLAVE_)->executeS($query);

        if (!empty($result)) {
            foreach ($result as $category) {
                $categories[] = $category['id_category'];
            }
        }
        return $categories;
    }
}
